package J20250718.demo01_innerClass;

/**
 * @author WanJl
 * @version 1.0
 * @title Train
 * @description
 * @create 2025/7/18
 */
public class Train {
    String color;

    //静态成员内部类
    public static class Engine {
        String size;
    }

    //局部内部类，建立在方法中
    public void method() {  //外部类的方法
        class Inner {   //方法内的内部类--局部内部类
            public void show() {    //内部类中的方法
                System.out.println("内部类的方法...");
            }
        }
        //局部内部类在方法中定义完，就要在方法中使用，否则就没有使用的机会了。
        Inner inner=new Inner();
        inner.show();
    }

}
